package com.ssj.bean.sys.teacher.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yrf
 * @date 2019/5/9 10:24
 */
@Entity
@Table(name = "ssj_online_teacher_weight")
public class OnlineTeacherWeight extends BaseEntity {

    private static final long serialVersionUID = -2651386181387824496L;

    private String teacherId;//在线批改老师user_id
    private String schoolName;//学校名称
    private String grade;//年级
    private Integer sumHomework;//分配作业总张数
    private BigDecimal aveCorrectTime;//批改平均用时
    private BigDecimal weight;//权重
    private Date createTime;//创建时间

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getSumHomework() {
        return sumHomework;
    }

    public void setSumHomework(Integer sumHomework) {
        this.sumHomework = sumHomework;
    }

    public BigDecimal getAveCorrectTime() {
        return aveCorrectTime;
    }

    public void setAveCorrectTime(BigDecimal aveCorrectTime) {
        this.aveCorrectTime = aveCorrectTime;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
